IPV6_MULTICAST_IF(2const)

NAME
IPV6_MULTICAST_IF - local device for a multicast socket

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IPV6, IPV6_MULTICAST_IF,
               const int *ifindex, sizeof(int));
int getsockopt(int sockfd, IPPROTO_IPV6, IPV6_MULTICAST_IF,
               int *ifindex, sizeof(int));

DESCRIPTION
Set the device for outgoing multicast packets on the socket.

This is allowed only for SOCK_DGRAM and SOCK_RAW socket.

The argument is a pointer to an interface index (see netdevice(7)) in an integer.

ERRORS
See IPPROTO_IPV6(2const). See setsockopt(2). See ipv6(7).

HISTORY

IPV6_MULTICAST_IF
    POSIX.1-2001.

SEE ALSO
IPPROTO_IPV6(2const), setsockopt(2), ipv6(7)